Delete a DNS record
curl --request DELETE \
--url https://orbitlab.dev/api/v1/domains/{id}/records/{recordId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://orbitlab.dev/api/v1/domains/{id}/records/{recordId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orbitlab.dev/api/v1/domains/{id}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Domains
Delete a DNS record
Requires the owner or admin role in the organization.
CLI: orbitlab dns rm <domain> <recordId>
DELETE
/
v1
/
domains
/
{id}
/
records
/
{recordId}
Delete a DNS record
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Réponse
ok.
The response is of type object.
Cette page vous a-t-elle été utile ?